# boost::numeric::ublas::container_view_traits< E > Struct Template Reference

Traits class to extract type information from a constant matrix or vector CONTAINER. More...

Inherited by boost::numeric::ublas::container_traits< E >.

List of all members.

## Public Types

typedef E::size_type | size_type
| type of indices
typedef E::difference_type | difference_type
| type of differences of indices
typedef E::storage_category | storage_category
| storage category: `unknown_storage_tag`, `dense_tag`, `packed_tag`, ...
typedef E::value_type | value_type
| type of elements
typedef E::const_reference | const_reference
| const reference to an element
typedef E::const_closure_type | const_closure_type
| type used in expressions to mark a reference to this class (usually a const container_reference<const E> or the class itself)

## Detailed Description

### template<class E>
struct boost::numeric::ublas::container_view_traits< E >